_

[LISP] CADPL-Pack-v1.lsp [Dyskusja]

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez ziele_o2k » mar 08, 2018 11:36

Swoją drogą, czy w cd:BLK_InsertBlock nie powinno być:
Kod: Zaznacz cały
(defun cd:BLK_InsertBlock (Pb Name Xyz Rot Sup / zdir xang res)
zamiast
Kod: Zaznacz cały
(defun cd:BLK_InsertBlock (Pb Name Xyz Rot Sup / zdir xang)
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 736
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez kruuger » mar 08, 2018 12:58

tak, podmienione na FTP, dz
Avatar użytkownika
kruuger
 
Posty: 4840
Dołączył(a): paź 27, 2005 20:14
Lokalizacja: Kraków

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez kruuger » mar 08, 2018 12:59

ziele_o2k napisał(a):
kruuger napisał(a):korzystales cos wiecej, dziala wszystko? mozna dodac

Mam dwa lispy, które jadą na tym kodzie i śmiga całkiem ładnie.
Swoją drogą to jest zmieniona wersja Twojego lispa wykopanego na forum. Tutaj wersja poprawiona i dostosowana do cadpacka:
Kod: Zaznacz cały
; =========================================================================================== ;
; Wstawia zewnętrzny odnośnik / Attach Xref                                                   ;
;  Path  [STR]      - pełna ścieżka do pliku xref / xref full path                            ;
;  File  [STR]      - nazwa pliku odnośnika / xref file name                                  ;
;  Pb    [LIST]     - punkt wstawienia / insertion point                                      ;
;  Xyz   [LIST/nil] - LISTA = lista wspolczynnikow skali XYZ / list of X Y Z scale factor     ;
;                     nil   = X=Y=Z=1.0                                                       ;
;  Rot   [REAL/nil] - REAL = kat obrotu w radianach / rotation angle in radians               ;
;                     nil  = kat=0.0 / angle=0.0                                              ;
;  Ovlay [BOOL]     - typ odnośnika / reference type:                                         ;
;                     nil = dołącz / attachment                                               ;
;                     T   = nałóż / overlay                                                   ;
; ------------------------------------------------------------------------------------------- ;
; (cd:BLK_AttachXref "C:\\CAD" "Cad" '(5 5 5) '(10 10 10) 0.75 T)                             ;
; (cd:BLK_AttachXref "C:\\CAD\\" "Cad" '(5 5 5) '(10 10 10) 0.75 T)                           ;
; =========================================================================================== ;
(defun cd:BLK_AttachXref (Path File Pb Xyz Rot Ovlay / zdir xang res)
  (setq   
    zdir (trans '(0 0 1) 1 0 T)
    xang (angle '(0 0 0) (trans (getvar "UCSXDIR") 0 zdir))
  )
  (if
    (not
      (vl-catch-all-error-p
        (setq res
          (vl-catch-all-apply
            (quote vla-AttachExternalReference)
            (list
              (cd:ACX_ASpace)
              (strcat (vl-string-right-trim "\\" Path) "\\" File)
              File
              (vlax-3d-point Pb)
              (if (not Xyz) 1.0 (car Xyz))
              (if (not Xyz) 1.0 (cadr Xyz))
              (if (not Xyz) 1.0 (caddr Xyz))
              (if (not Rot) 0.0 (+ Rot xang))
              (if Ovlay
                :vlax-true
                :vlax-false
              )
            )
          )
        )
      )
    )
    res
  )
)

dodam w wolnej chwili. musze przypomniec jak to wszystko dzialalo, html, plik pomocy itp :)
Avatar użytkownika
kruuger
 
Posty: 4840
Dołączył(a): paź 27, 2005 20:14
Lokalizacja: Kraków

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez ziele_o2k » mar 08, 2018 13:07

kruuger napisał(a):(...) html, plik pomocy itp :)

Tego to chyba dawno nie aktualizowałeś :)
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 736
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez kojacek » mar 08, 2018 13:11

kruuger napisał(a): dodam w wolnej chwili. musze przypomniec jak to wszystko dzialalo, html, plik pomocy itp :)

Przejrzyj co tam jeszcze było tutaj wcześniej już proponowane, i ewentualnie zrób szerszą listę propozycji + termin na jakąś dyskusję (jeśli trzeba) nad tymi kilkoma funkcjami, a potem od razu jakiś większy pakiecik do Pack'a.
Avatar użytkownika
kojacek
 
Posty: 5453
Dołączył(a): paź 03, 2005 20:17

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez kruuger » mar 08, 2018 13:15

kojacek napisał(a):
kruuger napisał(a): dodam w wolnej chwili. musze przypomniec jak to wszystko dzialalo, html, plik pomocy itp :)

Przejrzyj co tam jeszcze było tutaj wcześniej już proponowane, i ewentualnie zrób szerszą listę propozycji + termin na jakąś dyskusję (jeśli trzeba) nad tymi kilkoma funkcjami, a potem od razu jakiś większy pakiecik do Pack'a.

tylko chyba AddXref. nie wiem co z tabela. dziala tylko w world ucs.
kiedys byl pomysl funkcji do modyfikacji tabeli (komorki, kolory, wymiary itp).
k.
Avatar użytkownika
kruuger
 
Posty: 4840
Dołączył(a): paź 27, 2005 20:14
Lokalizacja: Kraków

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez ziele_o2k » mar 08, 2018 13:37

kruuger napisał(a):tylko chyba AddXref. nie wiem co z tabela. dziala tylko w world ucs.
kiedys byl pomysl funkcji do modyfikacji tabeli (komorki, kolory, wymiary itp).
k.

Niech będzie AddXref.
Odnośnie tabeli to są dwa rozwiązania, jedno podsuneli mi na cadtutorze:
1)tutaj link do dyskusji:
http://www.cadtutor.net/forum/showthread.php?102689-Rotate-inserted-table-to-UCS
Chodzi o to żeby dodawać tabelę, w 0,0,0 potem dawać jej vlax-put table 'direction i potem przesunąć do docelowego miejsca przez vla-move.
Zaobserwowano również, że po wstawieniu tabeli i rozpoczęciu jej wypełniania zaktualizuje się jej obrót.
Więc można ją wstawić w docelowym miejscu dać vlax-put table 'direction i po rozpoczęciu wypełniania będzie wszystko ładnie się wyświetlać, a nie tak:
test.jpg

2) a drugie sam wymodziłem (i tego używam)
Kod: Zaznacz cały
(setq _tab (cd:ACX_AddTable (cd:ACX_ASpace) _pt ... ))
i potem
Kod: Zaznacz cały
      (LM:RotateByMatrix
        _tab (trans _pt 1 0)
        (angle '(0 0 0) (trans (getvar "UCSXDIR") 0 (trans '(0 0 1) 1 0 T)))
      )
LM:RotateByMatrix
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 736
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez kruuger » mar 08, 2018 22:50

dodalem AttachXref. mozecie sprawdzic lsp chm.
post7670227.html#p7670227
k.
Avatar użytkownika
kruuger
 
Posty: 4840
Dołączył(a): paź 27, 2005 20:14
Lokalizacja: Kraków

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez ziele_o2k » mar 09, 2018 00:18

chm coś nie chce działać.
20180308_0058.jpg
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 736
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: [LISP] CADPL-Pack-v1.lsp [Dyskusja]

Postprzez kruuger » mar 09, 2018 00:34

ziele_o2k napisał(a):chm coś nie chce działać.
20180308_0058.jpg

zapisz na dysk i dopiero otworz plik. nie otwieraj z przegladarki.
k.
Avatar użytkownika
kruuger
 
Posty: 4840
Dołączył(a): paź 27, 2005 20:14
Lokalizacja: Kraków

Poprzednia stronaNastępna strona

Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników